## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Some tests fail. Pass --with all_tests to retry
%bcond_with all_tests

%global srcname django-allauth
%global forgeurl https://github.com/pennersr/%{srcname}

Name:           python-%{srcname}
Version:        0.61.1
Release:        %autorelease
Summary:        Integrated set of Django authentication apps
License:        MIT
URL:            https://www.intenct.nl/projects/django-allauth/
# PyPI source has no tests
# Source0:        %%{pypi_source %%{srcname}}
Source:         %{forgeurl}/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch:          %{srcname}-fix_for_coverage_7.diff

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%global _description %{expand:
Integrated set of Django applications addressing authentication, registration,
account management as well as 3rd party (social) account authentication.

## Rationale
Most existing Django apps that address the problem of social authentication
focus on just that. You typically need to integrate another app in order to
support authentication via a local account.

This approach separates the worlds of local and social authentication. However,
there are common scenarios to be dealt with in both worlds. For example, an
e-mail address passed along by an OpenID provider is not guaranteed to be
verified. So, before hooking an OpenID account up to a local account the e-mail
address must be verified. So, e-mail verification needs to be present in both
worlds.

Integrating both worlds is quite a tedious process. It is definitely not a
matter of simply adding one social authentication app, and one local account
registration app to your INSTALLED_APPS list.

This is the reason this project got started – to offer a fully integrated
authentication app that allows for both local and social authentication, with
flows that just work.}

%description %{_description}


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%prep
%autosetup -p1 -n %{srcname}-%{version}
%if %{without failedtests}
%endif


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files allauth


%check
%pytest -v \
%if %{without all_tests}
  --deselect allauth/socialaccount/providers/openid/tests.py::OpenIDTests::test_login \
  --deselect allauth/socialaccount/providers/openid/tests.py::OpenIDTests::test_login_with_extra_attributes \
%endif
;


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%doc AUTHORS ChangeLog.rst README.rst


%changelog
## START: Generated by rpmautospec
* Thu Jun 20 2024 Python Maint <python-maint@redhat.com> - 0.61.1-2
- Rebuilt for Python 3.13

* Thu Feb 29 2024 Michel Lind <salimma@fedoraproject.org> - 0.61.1-1
- Update to 0.61.1

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.54.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.54.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.54.0-1
- Update to 0.54.0 (rhbz#2220192)

* Thu May 04 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.46.0-6
- Pass --source to `coverage` so it can find the source files (needed for
  coverage 7.x)
- Run tests with verbose output

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 0.46.0-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.46.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.46.0-1
- Initial Fedora package
## END: Generated by rpmautospec
